=== modified file 'examples/simple.c'
--- examples/simple.c	2010-09-28 07:50:05 +0000
+++ examples/simple.c	2010-11-08 07:38:52 +0000
@@ -27,7 +27,7 @@
   const char *query= "SELECT TABLE_SCHEMA,TABLE_NAME FROM TABLES";
   drizzle_verbose_t verbose= DRIZZLE_VERBOSE_NEVER;
   drizzle_st drizzle;
-  drizzle_con_st con;
+  drizzle_con_st *con= (drizzle_con_st*)malloc(sizeof(drizzle_con_st));
   drizzle_result_st result;
   drizzle_return_t ret;
   int x;
@@ -82,29 +82,29 @@
 
   drizzle_set_verbose(&drizzle, verbose);
 
-  if (drizzle_con_create(&drizzle, &con) == NULL)
+  if (drizzle_con_create(&drizzle, con) == NULL)
   {
     printf("drizzle_con_create:NULL\n");
     return 1;
   }
 
   if (mysql)
-    drizzle_con_add_options(&con, DRIZZLE_CON_MYSQL);
-
-  drizzle_con_set_tcp(&con, host, port);
-  drizzle_con_set_db(&con, db);
-
-  (void)drizzle_query_str(&con, &result, query, &ret);
+    drizzle_con_add_options(con, DRIZZLE_CON_MYSQL);
+
+  drizzle_con_set_tcp(con, host, port);
+  drizzle_con_set_db(con, db);
+
+  (void)drizzle_query_str(con, &result, query, &ret);
   if (ret != DRIZZLE_RETURN_OK)
   {
-    printf("drizzle_query:%s\n", drizzle_con_error(&con));
+    printf("drizzle_query:%s\n", drizzle_con_error(con));
     return 1;
   }
 
   ret= drizzle_result_buffer(&result);
   if (ret != DRIZZLE_RETURN_OK)
   {
-    printf("drizzle_result_buffer:%s\n", drizzle_con_error(&con));
+    printf("drizzle_result_buffer:%s\n", drizzle_con_error(con));
     return 1;
   }
 
@@ -116,8 +116,9 @@
   }
 
   drizzle_result_free(&result);
-  drizzle_con_free(&con);
+  drizzle_con_free(con);
   drizzle_free(&drizzle);
 
+  free(con);
   return 0;
 }

